classification
Title: Add "version added" for documentation of asyncio.timeout for documentation of python 3.4, 3.5, 3.6
Type: behavior Stage: resolved
Components: asyncio, Documentation Versions: Python 3.6, Python 3.4, Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Udi Oron, berker.peksag, docs@python, gvanrossum, vstinner, yselivanov
Priority: normal Keywords: patch

Created on 2016-01-27 23:02 by Udi Oron, last changed 2016-09-28 23:24 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
asyncio-timeout.patch Udi Oron, 2016-01-27 23:02 review
Messages (2)
msg259071 - (view) Author: Udi Oron (Udi Oron) * Date: 2016-01-27 23:02
It seems like `asyncio.timeout` is going to be added in 3.4.5, 3.5.2 and 3.6.

The current live documentation of python 3.4 and python 3.5.1 does not include a comment regarding it is not yet available in the current released versions of python.

The documentation should include a `.. versionadded:: 3.4.5`, `.. versionadded:: 3.5.2` or `.. versionadded:: 3.6` according to the branch.
msg277674 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-09-28 23:24
Thanks for the patch. asyncio.timeout() has been removed in 73a28ad66bd9.
History
Date User Action Args
2016-09-28 23:24:46berker.peksagsettype: behavior
2016-09-28 23:24:38berker.peksagsetstatus: open -> closed

nosy: + berker.peksag
messages: + msg277674

resolution: out of date
stage: patch review -> resolved
2016-02-15 21:03:37martin.pantersetstage: patch review
2016-01-27 23:02:48Udi Oroncreate